import {
	service
} from '../utils/request';
//应用中心相关接口
export function getYyzxApi(url, data) {
	return service({
		url,
		method: 'GET',
		params: data
	});
}
//编辑
export function editYyzxApi(url, data) {
	return service({
		url,
		method: 'POST',
		data
	});
}
//新增
export function addYyzxApi(url, data) {
	return service({
		url,
		method: 'POST',
		data
	});
}
//上传图片
export function uploadImg(data) {
	return service({
		url: '/mosty-base/minio/image/upload/id',
		method: 'POST',
		data
	});
}


//删除
export function deleteYyzxApi(url, params = {}) {
	return service({
		url,
		method: 'DELETE',
		params
	});
}

// 位置中心-位置统计-统计-里程数
export function locationLCS(url, params = {}) {
	return service({
		url,
		method: 'GET',
		params
	})
}

// 位置中心-位置统计-统计-位置人数
export function locationWZRS(params = {}) {
	return service({
		url: '/mosty-wzzx/wztj/tj/jrwzrs',
		method: 'GET',
		params
	})
}
// 位置中心-位置统计-统计-巡组位置数
export function locationXZWZS(url, params = {}) {
	return service({
		url,
		method: 'GET',
		params
	})
}

// 位置中心-位置统计-人员位置列表
export function locationRYSSWZ(url, params = {}) {
	return service({
		url,
		method: 'GET',
		params
	})
}
// 位置中心-位置统计-巡组列表列表
export function getSelectDeckList(url, params = {}) {
	return service({
		url,
		method: 'GET',
		params
	})
}
/** 值班排班*/
//获取我的值班报备信息
export function getMyZbbbData(params = {}) {
	return service({
		url: '/mosty-qwzx/tbQwZbbb/getMyBbInfoToday',
		method: 'GET',
		params
	})
}

//获取我的值班排班信息
export function getMyZbpbData(params = {}) {
	return service({
		url: '/mosty-qwzx/tbQwZbpb/getMyZbpbToday',
		method: 'GET',
		params
	})
}
//提交报备信息
export function submitZbbbData(data = {}) {
	return service({
		url: '/mosty-qwzx/tbQwZbbb',
		method: 'post',
		data
	})
}
//开始报备
export function startAndEndZbbbData(data = {}) {
	return service({
		url: '/mosty-qwzx/tbQwZbbb/startOrEndBb',
		method: 'post',
		data
	})
}
//结束任务
export function endTaskStatus(data = {}) {
	return service({
		url: '/mosty-rwzx/tbRwTask/inner/changeStateByYwid',
		method: 'post',
		data
	})
}
//转发任务
export function transmitTask(data = {}) {
	return service({
		url: '/mosty-rwzx/tbRwTask/inner/changeGrrwState',
		method: 'post',
		data
	})
}

/** 巡防排班 报备*/
//获取用户今日报备信息
export function getMybbTodayNew(params = {}) {
	return service({
		url: '/mosty-qwzx/tbQwXfbb/getMybbTodayNew',
		method: 'get',
		params
	})
}

//获取用户今日排班信息
export function getMyXfpbToday(params = {}) {
	return service({
		url: '/mosty-qwzx/tbQwXfpb/getMyXfpbToday',
		method: 'get',
		params
	})
}